Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
Ipopt::DiagMatrixSpace Class Reference

This is the matrix space for DiagMatrix. More...

`#include <IpDiagMatrix.hpp>`

Inheritance diagram for Ipopt::DiagMatrixSpace:
[legend]

## Public Member Functions
virtual SymMatrix * | MakeNewSymMatrix () const
| Overloaded MakeNew method for the SymMatrixSpace base class. More...
DiagMatrix * | MakeNewDiagMatrix () const
| Method for creating a new matrix of this specific type. More...
Constructors / Destructors
| DiagMatrixSpace (Index dim)
| Constructor, given the dimension of the matrix. More...
virtual | ~DiagMatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::SymMatrixSpace
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class. More...
Index | Dim () const
| Accessor method for the dimension of the matrices in this matrix space. More...
| SymMatrixSpace (Index dim)
| Constructor, given the dimension (identical to the number of rows and columns). More...
virtual | ~SymMatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::MatrixSpace
Index | NRows () const
| Accessor function for the number of rows. More...
Index | NCols () const
| Accessor function for the number of columns. More...
bool | IsMatrixFromSpace (const Matrix &matrix) const
| Method to test if a given matrix belongs to a particular matrix space. More...
| MatrixSpace (Index nRows, Index nCols)
| Constructor, given the number rows and columns of all matrices generated by this MatrixSpace. More...
virtual | ~MatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| DiagMatrixSpace ()
| Default Constructor. More...
| DiagMatrixSpace (const DiagMatrixSpace &)
| Copy Constructor. More...
void | operator= (const DiagMatrixSpace &)
| Overloaded Equals Operator. More...

## Detailed Description

This is the matrix space for DiagMatrix.

Definition at line 90 of file IpDiagMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::DiagMatrixSpace::DiagMatrixSpace | ( | Index | dim | ) |
| inline

Constructor, given the dimension of the matrix.

Definition at line 96 of file IpDiagMatrix.hpp.

virtual Ipopt::DiagMatrixSpace::~DiagMatrixSpace | ( |  | ) |
| inline virtual

Destructor.

Definition at line 102 of file IpDiagMatrix.hpp.

Ipopt::DiagMatrixSpace::DiagMatrixSpace | ( |  | ) |
| private

Default Constructor.

Ipopt::DiagMatrixSpace::DiagMatrixSpace | ( | const DiagMatrixSpace & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual SymMatrix* Ipopt::DiagMatrixSpace::MakeNewSymMatrix | ( |  | ) | const
| inline virtual

Overloaded MakeNew method for the SymMatrixSpace base class.

Implements Ipopt::SymMatrixSpace.

Definition at line 108 of file IpDiagMatrix.hpp.

DiagMatrix* Ipopt::DiagMatrixSpace::MakeNewDiagMatrix | ( |  | ) | const
| inline

Method for creating a new matrix of this specific type.

Definition at line 114 of file IpDiagMatrix.hpp.

void Ipopt::DiagMatrixSpace::operator= | ( | const DiagMatrixSpace & |  | ) |
| private

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- src/LinAlg/IpDiagMatrix.hpp